org.jfree.data.general

## Interface Dataset

- All Known Subinterfaces:
    IntervalXYDataset, IntervalXYZDataset, OHLCDataset, SeriesDataset, TableXYDataset, XYDataset, XYZDataset
  All Known Implementing Classes:
    AbstractDataset, AbstractIntervalXYDataset, AbstractSeriesDataset, AbstractXYDataset, XYSeriesCollection

      public interface Dataset

  The base interface for data sets.

  All datasets are required to support the `DatasetChangeEvent` mechanism by allowing listeners to register and receive notification of any changes to the dataset.

  In addition, all datasets must belong to one (and only one) `DatasetGroup`. The group object maintains a reader-writer lock which provides synchronised access to the datasets in multi-threaded code.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addChangeListener(DatasetChangeListener listener)` Registers an object for notification of changes to the dataset.
    `DatasetGroup` | `getGroup()` Returns the dataset group.
    `void` | `removeChangeListener(DatasetChangeListener listener)` Deregisters an object for notification of changes to the dataset.
    `void` | `setGroup(DatasetGroup group)` Sets the dataset group.

- - ### Method Detail

    - #### addChangeListener

          void addChangeListener(DatasetChangeListener listener)

      Registers an object for notification of changes to the dataset.
      Parameters:
        `listener` - the object to register.

    - #### removeChangeListener

          void removeChangeListener(DatasetChangeListener listener)

      Deregisters an object for notification of changes to the dataset.
      Parameters:
        `listener` - the object to deregister.

    - #### getGroup

          DatasetGroup getGroup()

      Returns the dataset group.
      Returns:
        The dataset group.

    - #### setGroup

          void setGroup(DatasetGroup group)

      Sets the dataset group.
      Parameters:
        `group` - the dataset group.